FalseFileFilter (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io.filefilter

## Class FalseFileFilter

- java.lang.Object
- - org.apache.commons.io.filefilter.FalseFileFilter

- All Implemented Interfaces:
    java.io.FileFilter, java.io.FilenameFilter, java.io.Serializable, IOFileFilter

      public class FalseFileFilter
      extends java.lang.Object
      implements IOFileFilter, java.io.Serializable

  A file filter that always returns false.
  Since:
    1.0
  Version:
    $Id: FalseFileFilter.java 1642757 2014-12-01 21:09:30Z sebb $
  See Also:
    `FileFilterUtils.falseFileFilter()`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IOFileFilter` | `FALSE` Singleton instance of false filter.
    `static IOFileFilter` | `INSTANCE` Singleton instance of false filter.
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FalseFileFilter()` Restrictive consructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File file)` Returns false.
    `boolean` | `accept(java.io.File dir, java.lang.String name)` Returns false.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### FALSE

          public static final IOFileFilter FALSE

      Singleton instance of false filter.
      Since:
        1.3

    - #### INSTANCE

          public static final IOFileFilter INSTANCE

      Singleton instance of false filter. Please use the identical FalseFileFilter.FALSE constant. The new name is more JDK 1.5 friendly as it doesn't clash with other values when using static imports.

  - ### Constructor Detail

    - #### FalseFileFilter

          protected FalseFileFilter()

      Restrictive consructor.

  - ### Method Detail

    - #### accept

          public boolean accept(java.io.File file)

      Returns false.
      Specified by:
        `accept` in interface `java.io.FileFilter`
      Specified by:
        `accept` in interface `IOFileFilter`
      Parameters:
        `file` - the file to check (ignored)
      Returns:
        false

    - #### accept

          public boolean accept(java.io.File dir,
                       java.lang.String name)

      Returns false.
      Specified by:
        `accept` in interface `java.io.FilenameFilter`
      Specified by:
        `accept` in interface `IOFileFilter`
      Parameters:
        `dir` - the directory to check (ignored)
        `name` - the filename (ignored)
      Returns:
        false

Copyright (c) 2002-2016 Apache Software Foundation